// fkt.cpp: C++ Funktionen & Konstanten
// Christian Rsch INF02, Mi 07:00-09:00
// Programm 6.3


#include <iostream.h>
#include <conio.h>
#include <stdio.h>
#include <math.h>

void potenz ()
{
	float x;
	clrscr();
   printf("x               Wurzel        hoch 2        hoch 3     hoch 13.4\n");
   printf("------------------------------------------------------------------\n");

   for(x=0.45;x<1000;x=x+x)
   printf("%8.2f  %12.5g  %12.5g  %12.5g  %12.5g\n"
   ,x,sqrt(x),pow(x,2),pow(x,3),pow(x,13.4));

   printf("\n\nBitte Enter druecken: ");
   getchar();
}

void trigo ()
{
	float x;
	clrscr();
   printf("x               sin(x)        cos(x)        tan(x)\n");
   printf("-----------------------------------------------------\n");

   for(x=0;x<6;x=x+0.35)
   printf("%8.2f  %12.5g  %12.5g  %12.5g\n"
   ,x,sin(x),cos(x),tan(x));

   printf("\n\nBitte Enter druecken: ");
   getchar();
}

void hyper ()
{
	float x;
	clrscr();
   printf("x               sinh(x)       cosh(x)      tanh(x)\n");
   printf("-----------------------------------------------------\n");

   for(x=-10;x<10;x=x+1.15)
   printf("%8.2f  %12.5g  %12.5g  %12.5g\n"
   ,x,sinh(x),cosh(x),tanh(x));

   printf("\n\nBitte Enter druecken: ");
   getchar();
}

void expo ()
{
	float x;
	clrscr();
   printf("x             e hoch x     e hoch 10          ln x         log x\n");
   printf("------------------------------------------------------------------\n");

   for(x=0.015;x<300;x=x+x)
   printf("%8.4f  %12.5g  %12.5g  %12.5g  %12.5g\n"
   ,x,exp(x),pow10(x),log(x),log10(x));

   printf("\n\nBitte Enter druecken: ");
   getchar();
}

void konstant ()
{
	clrscr();
   printf("Konstante                Wert\n");
   printf("-----------------------------\n");
   printf("euler            %12.10f\n",M_E);
   printf("log2 e           %12.10f\n",M_LOG2E);
   printf("log e            %12.10f\n",M_LOG10E);
   printf("ln 2             %12.10f\n",M_LN2);
   printf("ln 10            %12.10f\n",M_LN10);
   printf("PI               %12.10f\n",M_PI);
   printf("PI/2             %12.10f\n",M_PI_2);
   printf("PI/4             %12.10f\n",M_PI_4);
   printf("1/PI             %12.10f\n",M_1_PI);
   printf("2/PI             %12.10f\n",M_2_PI);
   printf("1/wurzel PI      %12.10f\n",M_1_SQRTPI);
   printf("2/wurzel PI      %12.10f\n",M_2_SQRTPI);
   printf("wurzel 2         %12.10f\n",M_SQRT2);
   printf("(wurzel 2)/2     %12.10f\n",M_SQRT_2);

   printf("\n\nBitte Enter druecken: ");
   getchar();
}

void main ()
{
	char c;
   do {
		clrscr();
		printf("einige mathemathische Funktionen & Konstanten in C++\n\n");
  	 	printf("(P)otenzen & Quadratwurzel\n");
  	 	printf("(T)rigonometrie\n");
  	 	printf("(H)yperbole\n");
  	 	printf("(L)ogarithmen und Exponetialfkt\n");
  	 	printf("(K)onstanten\n");
   	printf("\n(E)nde\n");
   	printf("\n\nBitte waehlen: ");
   	cin>>c;
      switch (c)
      	{
      	case 'p':potenz();break;
      	case 't':trigo();break;
      	case 'h':hyper();break;
      	case 'l':expo();break;
      	case 'k':konstant();break;
     		}
      }

   while (c != 'e');

}


